Skip to main content
GET
/
api
/
cyber
/
v1
/
list-cyber-threats
ListCyberThreats
curl --request GET \
  --url https://api.example.com/api/cyber/v1/list-cyber-threats
{
  "threats": [
    {
      "id": "<string>",
      "type": "CYBER_THREAT_TYPE_UNSPECIFIED",
      "source": "CYBER_THREAT_SOURCE_UNSPECIFIED",
      "indicator": "<string>",
      "indicatorType": "CYBER_THREAT_INDICATOR_TYPE_UNSPECIFIED",
      "location": {
        "latitude": 0,
        "longitude": 0
      },
      "country": "<string>",
      "severity": "CRITICALITY_LEVEL_UNSPECIFIED",
      "malwareFamily": "<string>",
      "tags": [
        "<string>"
      ],
      "firstSeenAt": 123,
      "lastSeenAt": 123
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "totalCount": 123
  }
}

Query Parameters

start
string<int64>

Start of time range (inclusive), Unix epoch milliseconds.

end
string<int64>

End of time range (inclusive), Unix epoch milliseconds.

page_size
integer<int32>

Maximum items per page (1-100).

cursor
string

Cursor for next page.

type
string

Optional threat type filter.

source
string

Optional source filter.

min_severity
string

Optional minimum criticality filter.

Response

Successful response

ListCyberThreatsResponse contains cyber threats matching the request.

threats
object[]
pagination
object

PaginationResponse contains pagination metadata returned alongside list results.